Menu
Platform
AI
App store purchases
Credits
Database
Flags
Generated Assets
Monitoring
Notifications
Organizations
Payments
- Payments
- Payments quickstart
- Checkout policies
- Checkout sessions
- Customer subscriptions
- Entitlement grants
- Exchange rates
- Licence keys
- Licence tokens
- Merchant accounts
- Portal sessions
- Price catalogs
- Revenue
- Revenue facts
- Revenue sources
- Tax threshold statuses
- Usage events
- Usage invoices
- Usage meter prices
- Usage meters
- Usage reservations
- Usage settings
- Usage tiers
Queues
Realtime
Sandboxes
Webhooks
Getting Started
Authentication
KV Store
Deploy & Infrastructure
Reference
Mail routes
A Route sends the mail a receiving Email Domain accepts for one address, a pattern of addresses, or every other address to actions: deliver…
A Route sends the mail a receiving Email Domain accepts for one address, a pattern of addresses, or every other address to actions: deliver to mailboxes, forward, or reject. Every accepted message also publishes sylphx.notify.inbound_email.received.
Service Sylphx Notify · Resource type notify.sylphx.com/Route · Name pattern orgs/{org}/projects/{project}/envs/{env}/mail_domains/{mail_domain}/mail_routes/{mail_route} · Shape spec_status
#Fields
| Field | Type | What it is |
|---|---|---|
name | string | orgs/{org}/projects/{project}/envs/{env}/mail_domains/{mail_domain}/mail_routes/{mail_route}. |
uid | string | rte_<cell><ulid>; never reused. Output only. |
meta | ResourceMeta | Resource metadata. |
spec | RouteSpec | Desired state. Required. |
status | RouteStatus | Observed state. Output only. |
#Methods
Every method of the collection, in the registry's order, with the scope it needs. The full request, response and examples are one link away.
| Method | Call | What it does |
|---|---|---|
GET | get | Gets a route. |
GET | list | Lists an email domain's routes. |
POST | create | Creates a route. |
PATCH | update | Updates a route. |
DELETE | delete | Deletes a route. |
#get
Gets a route.
GET https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/mail_domains/mail-domain/mail_routes/mail-route · scope notify:read · effect read · Request, response and examples
#list
Lists an email domain's routes.
GET https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/mail_domains/mail-domain/mail_routes · scope notify:read · effect read · paginated · Request, response and examples
#create
Creates a route.
POST https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/mail_domains/mail-domain/mail_routes · scope notify:write · effect write · Request, response and examples
#update
Updates a route.
PATCH https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/mail_domains/mail-domain/mail_routes/mail-route · scope notify:write · effect write · Request, response and examples
#delete
Deletes a route.
DELETE https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/mail_domains/mail-domain/mail_routes/mail-route · scope notify:write · effect destructive · Request, response and examples